<template>
    <v-data-table
            :headers="headers"
            :items="users"
            :single-expand="singleExpand"
            :expanded.sync="expanded"
            item-key="users.id"
            class="elevation-1"
    >
        <template v-slot:top>
            <v-toolbar flat>
                <v-toolbar-title>Registered users</v-toolbar-title>
                <v-spacer></v-spacer>
            </v-toolbar>
        </template>
    </v-data-table>
</template>

<script>
    import {getAllUsers} from "../../util/api-provider";

    export default {
        data () {
            return {
                expanded: [],
                singleExpand: false,
                headers: [
                    {
                        text: 'ID',
                        align: 'start',
                        sortable: false,
                        value: 'users.id',
                    },
                    { text: 'Username', value: 'users.username' },
                    { text: 'E-mail', value: 'users.email' },
                    { text: 'First Name', value: 'users.firstName' },
                    { text: 'Last Name', value: 'users.lastName' },
                    { text: '# uploaded files', value: 'usersFilesStats.uploadedFiles' }
                ],
                users: [

                ],
            }
        },
        created() {
            getAllUsers().then(response =>{
                console.log(response.data)
                this.users = response.data
            })
        },
        methods: {
        }
    }
</script>